HanMacWrdJTextInternal::Section Struct Reference documentation

HanMacWrdJTextInternal::Section Struct Reference

Internal: class to store a section of a HanMacWrdJText. More...

## Public Member Functions
| Section ()
| constructor
MWAWSection | getSection () const
| returns a MWAWSection

## Public Attributes
int | m_numCols
| the number of column
std::vector< double > | m_colWidth
| the columns width
std::vector< double > | m_colSep
| the columns separator width
long | m_id
| the id
std::string | m_extra
| extra string string

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<<

## Detailed Description

Internal: class to store a section of a HanMacWrdJText.

## Constructor & Destructor Documentation

## ◆ Section()

HanMacWrdJTextInternal::Section::Section | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getSection()

MWAWSection HanMacWrdJTextInternal::Section::getSection | ( |  | ) | const
| inline

returns a MWAWSection

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | sec )
| friend

operator<<

## Member Data Documentation

## ◆ m_colSep

std::vector<double> HanMacWrdJTextInternal::Section::m_colSep

the columns separator width

Referenced by getSection(), operator<<, HanMacWrdJText::readSections(), and Section().

## ◆ m_colWidth

std::vector<double> HanMacWrdJTextInternal::Section::m_colWidth

the columns width

Referenced by getSection(), operator<<, HanMacWrdJText::readSections(), and Section().

## ◆ m_extra

std::string HanMacWrdJTextInternal::Section::m_extra

extra string string

Referenced by operator<<, HanMacWrdJText::readSections(), and Section().

## ◆ m_id

long HanMacWrdJTextInternal::Section::m_id

the id

Referenced by operator<<, HanMacWrdJText::readSections(), and Section().

## ◆ m_numCols

int HanMacWrdJTextInternal::Section::m_numCols

the number of column

Referenced by getSection(), operator<<, HanMacWrdJText::readSections(), and Section().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx